# waybar
# showcase

<details open>
    <summary>left-side</summary>
    - workspace-button "change" on hover
    - dynamic icons on workspaces
    ![waybar-left.gif](./.src/waybar-left.gif)
</details>
<details open>
    <summary>right-side</summary>
    - dynamic groups for memory/cpu/disk && powerslide-menu
    ![waybar-right.gif](./.src/waybar-right.gif)
</details>
<details open>
    <summary>middle && barcolor-changes</summary>
    - bar changes red if fullscreen is on (not the whole screen of course, but the 'light'-fullscreen mode instead)
    ![waybar-middle.git](./.src/waybar-middle_bar-colors.gif)
</details>

## installation
To install this waybar theme, you could, if you do not have a waybar folder under your ~/.config/ folder currently installed, just clone the repo directly inside your ~/.config/ folder and update the repo, to get the newest commit
```bash
git clone https://git.k4li.de/dotfiles/waybar ~/.config/waybar
```

> - You can also checkout the dev branch

## dependencies
```
grim grimshot
```
> for screenshots
```
wttrbar
```
> to display the weather icon + info
```
wlogout swaylock-effects
```
> to logout and shutdown menu
```
pamixer pavucontrol
```
> for sound related settings
```
iwd
```
or
```
nmcli
```
> for wifi
